# Class Parameters

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.ParameterComponent
org.a11y.brlapi.Parameters

public class Parameters extends ParameterComponent

## Field Summary

Fields
Modifier and Type
Field
Description
`final AudibleAlertsParameter`
`audibleAlerts`
`final BoundCommandKeycodesParameter`
`boundCommandKeycodes`
`final ClientPriorityParameter`
`clientPriority`
`final ClipboardContentParameter`
`clipboardContent`
`final CommandKeycodeNameParameter`
`commandKeycodeName`
`final CommandKeycodeSummaryParameter`
`commandKeycodeSummary`
`final ComputerBrailleCellSizeParameter`
`computerBrailleCellSize`
`final ComputerBrailleRowCellsParameter`
`computerBrailleRowCells`
`final ComputerBrailleRowsMaskParameter`
`computerBrailleRowsMask`
`final ComputerBrailleTableParameter`
`computerBrailleTable`
`final CursorBlinkPercentageParameter`
`cursorBlinkPercentage`
`final CursorBlinkPeriodParameter`
`cursorBlinkPeriod`
`final CursorDotsParameter`
`cursorDots`
`final DefinedDriverKeycodesParameter`
`definedDriverKeycodes`
`final DeviceCellSizeParameter`
`deviceCellSize`
`final DeviceIdentifierParameter`
`deviceIdentifier`
`final DeviceModelParameter`
`deviceModel`
`final DeviceOnlineParameter`
`deviceOnline`
`final DeviceSpeedParameter`
`deviceSpeed`
`final DisplaySizeParameter`
`displaySize`
`final DriverCodeParameter`
`driverCode`
`final DriverKeycodeNameParameter`
`driverKeycodeName`
`final DriverKeycodeSummaryParameter`
`driverKeycodeSummary`
`final DriverNameParameter`
`driverName`
`final DriverPropertyValueParameter`
`driverPropertyValue`
`final DriverVersionParameter`
`driverVersion`
`final LiteraryBrailleParameter`
`literaryBraille`
`final LiteraryBrailleTableParameter`
`literaryBrailleTable`
`final MessageLocaleParameter`
`messageLocale`
`final RenderedCellsParameter`
`renderedCells`
`final RetainDotsParameter`
`retainDots`
`final ServerVersionParameter`
`serverVersion`
`final SkipIdenticalLinesParameter`
`skipIdenticalLines`

### Fields inherited from class ParameterComponent

`DEFAULT_SUBPARAM`

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Constructor
Description
`Parameters(ConnectionBase connection)`

## Method Summary

Modifier and Type
Method
Description
`final Parameter[]`
`get()`
`final Parameter`
`get(String name)`
`static void`
`sortByName(Parameter[] parameters)`

### Methods inherited from class ParameterComponent

`asBitMask, asBoolean, asBooleanArray, asByte, asByteArray, asDisplaySize, asDots, asDots, asInt, asIntArray, asLong, asLongArray, asRowCells, asShort, asShortArray, asString, toString`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### serverVersion

public final ServerVersionParameter serverVersion

### clientPriority

public final ClientPriorityParameter clientPriority

### driverName

public final DriverNameParameter driverName

### driverCode

public final DriverCodeParameter driverCode

### driverVersion

public final DriverVersionParameter driverVersion

### deviceModel

public final DeviceModelParameter deviceModel

### deviceCellSize

public final DeviceCellSizeParameter deviceCellSize

### displaySize

public final DisplaySizeParameter displaySize

### deviceIdentifier

public final DeviceIdentifierParameter deviceIdentifier

### deviceSpeed

public final DeviceSpeedParameter deviceSpeed

### deviceOnline

public final DeviceOnlineParameter deviceOnline

### retainDots

public final RetainDotsParameter retainDots

### computerBrailleCellSize

public final ComputerBrailleCellSizeParameter computerBrailleCellSize

### literaryBraille

public final LiteraryBrailleParameter literaryBraille

### cursorDots

public final CursorDotsParameter cursorDots

### cursorBlinkPeriod

public final CursorBlinkPeriodParameter cursorBlinkPeriod

### cursorBlinkPercentage

public final CursorBlinkPercentageParameter cursorBlinkPercentage

### renderedCells

public final RenderedCellsParameter renderedCells

### skipIdenticalLines

public final SkipIdenticalLinesParameter skipIdenticalLines

### audibleAlerts

public final AudibleAlertsParameter audibleAlerts

### clipboardContent

public final ClipboardContentParameter clipboardContent

### boundCommandKeycodes

public final BoundCommandKeycodesParameter boundCommandKeycodes

### commandKeycodeName

public final CommandKeycodeNameParameter commandKeycodeName

### commandKeycodeSummary

public final CommandKeycodeSummaryParameter commandKeycodeSummary

### definedDriverKeycodes

public final DefinedDriverKeycodesParameter definedDriverKeycodes

### driverKeycodeName

public final DriverKeycodeNameParameter driverKeycodeName

### driverKeycodeSummary

public final DriverKeycodeSummaryParameter driverKeycodeSummary

### computerBrailleRowsMask

public final ComputerBrailleRowsMaskParameter computerBrailleRowsMask

### computerBrailleRowCells

public final ComputerBrailleRowCellsParameter computerBrailleRowCells

### computerBrailleTable

public final ComputerBrailleTableParameter computerBrailleTable

### literaryBrailleTable

public final LiteraryBrailleTableParameter literaryBrailleTable

### messageLocale

public final MessageLocaleParameter messageLocale

### driverPropertyValue

public final DriverPropertyValueParameter driverPropertyValue

## Constructor Details

### Parameters

public Parameters(ConnectionBase connection)

## Method Details

### get

public final Parameter[] get()

### get

public final Parameter get(String name)

### sortByName

public static void sortByName(Parameter[] parameters)